Skip to main content
POST
/
networks
/
offerurls
/
table
Find Offer URLs (Advanced)
curl --request POST \
  --url https://api.eflow.team/v1/networks/offerurls/table \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "filters": {
    "network_offer_ids": [
      6
    ],
    "url_status": "active"
  },
  "search_terms": [
    {
      "search_type": "name",
      "value": "landing"
    }
  ]
}
'
import requests

url = "https://api.eflow.team/v1/networks/offerurls/table"

payload = {
"filters": {
"network_offer_ids": [6],
"url_status": "active"
},
"search_terms": [
{
"search_type": "name",
"value": "landing"
}
]
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {network_offer_ids: [6], url_status: 'active'},
search_terms: [{search_type: 'name', value: 'landing'}]
})
};

fetch('https://api.eflow.team/v1/networks/offerurls/table', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "urls": [
    {
      "network_offer_url_id": 123,
      "network_id": 123,
      "network_offer_id": 123,
      "name": "<string>",
      "destination_url": "<string>",
      "preview_url": "<string>",
      "network_affiliate_ids": [
        123
      ],
      "is_apply_specific_affiliates": true,
      "is_hidden_affiliate": true,
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "remote_offer_resource": {
        "network_offer_id": 123,
        "network_id": 123,
        "resource_type": "<string>",
        "remote_resource_id": "<string>",
        "resource_id": 123,
        "last_value_md5": "<string>",
        "json_config": "<string>",
        "json_data": "<string>",
        "time_created": 1734455015,
        "time_saved": 1734455015
      }
    }
  ],
  "paging": {
    "page": 123,
    "page_size": 123,
    "total_count": 123
  }
}
Search, filter, and paginate offer URLs. Supports filtering by offer IDs and URL status, plus text search on name/ID and destination URL. Pagination and ordering are controlled via query parameters.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

order_field
enum<string>

The field to sort by.

Available options:
network_offer_url_id,
time_saved,
time_created,
url_status
order_direction
enum<string>

Sort direction.

Available options:
asc,
desc

Body

application/json
filters
object
search_terms
object[]

Response

200 - application/json
urls
object[]
paging
object